# Uses of Class
it.tdlight.jni.TdApi.CallbackQueryPayload

## Uses of TdApi.CallbackQueryPayload in it.tdlight.jni

Subclasses of TdApi.CallbackQueryPayload in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.CallbackQueryPayloadData`
The payload for a general callback button.
`static final class`
`TdApi.CallbackQueryPayloadDataWithPassword`
The payload for a callback button requiring password.
`static final class`
`TdApi.CallbackQueryPayloadGame`
The payload for a game callback button.
Fields in it.tdlight.jni declared as TdApi.CallbackQueryPayload
Modifier and Type
Field
Description
`TdApi.CallbackQueryPayload`
TdApi.GetCallbackQueryAnswer.`payload`
Query payload.
`TdApi.CallbackQueryPayload`
TdApi.UpdateNewCallbackQuery.`payload`
Query payload.
`TdApi.CallbackQueryPayload`
TdApi.UpdateNewInlineCallbackQuery.`payload`
Query payload.
Constructors in it.tdlight.jni with parameters of type TdApi.CallbackQueryPayload
Modifier
Constructor
Description
``
`GetCallbackQueryAnswer(long chatId, long messageId, TdApi.CallbackQueryPayload payload)`
Sends a callback query to a bot and returns an answer.
``
`UpdateNewCallbackQuery(long id, long senderUserId, long chatId, long messageId, long chatInstance, TdApi.CallbackQueryPayload payload)`
A new incoming callback query; for bots only.
``
`UpdateNewInlineCallbackQuery(long id, long senderUserId, String inlineMessageId, long chatInstance, TdApi.CallbackQueryPayload payload)`
A new incoming callback query from a message sent via a bot; for bots only.